Summary   : Qt application to use themonospot (multimedia files parser/editor)
Name      : themonospot-gui-qt
Version   : 0.1.3
Release   : 19%{?dist}
License   : GPLv2
Group     : Applications/Multimedia
URL       : http://www.integrazioneweb.com/themonospot
Source    : http://www.integrazioneweb.com/repository/SOURCES/themonospot-gui-qt-%{version}.tar.gz

%define debug_package %{nil}

BuildRequires: mono-devel
BuildRequires: themonospot-base-devel
BuildRequires: qyoto-devel
BuildRequires: desktop-file-utils

# Mono only available on these:
ExclusiveArch: %mono_arches

%description
themonospot-gui-qt is a Mono framework application to create a
graphic frontend to use themonospot base component and his plugins.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" Makefile.in
sed -i "s#gmcs#mcs#g" themonospot-gui-qt.make

%build
%configure
make

%install
make DESTDIR=%{buildroot} install

desktop-file-install \
 --dir %{buildroot}%{_datadir}/applications \
 --delete-original \
 %{buildroot}%{_datadir}/applications/themonospot-qt.desktop


%files
%doc copying.gpl
%{_bindir}/themonospot-qt
%{_libdir}/themonospot/%{name}.exe
%if 0%{?fedora} < 14
%{_libdir}/themonospot/libqyotoshared.so
%endif
%{_datadir}/pixmaps/themonospot-qt.png
%{_datadir}/applications/themonospot-qt.desktop


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.1.3-17
- Rebuild (mono4)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 29 2011 Dan Horák <dan[at]danny.cz> - 0.1.3-10
- updated the supported arch list

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.1.3-8
- Rebuild against mono-2.8

* Thu Jul 15 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.3-7
- F-14: rebuild for new qyoto

* Wed Apr 02 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-6
- workaround for bug 551860

* Sun Mar 14 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-5
- parallel make sometimes fails

* Fri Jan 01 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-4
- modified desktop-file-install macro parameters

* Fri Jan 01 2010 Armando Basile <hmandevteam@gmail.com> 0.1.3-3
- added themonospot-base-devel and qyoto-devel as BuildRequire

* Thu Dec 31 2009 Armando Basile <hmandevteam@gmail.com> 0.1.3-2
- only mono-devel and desktop-file-utils as BuildRequire

* Wed Dec 30 2009 Armando Basile <hmandevteam@gmail.com> 0.1.3-1
- removed GAC use

* Mon Dec 14 2009 Armando Basile <hmandevteam@gmail.com> 0.1.2-2
- first release of new Qt application to use themonospot
